Subject: Re: [Shop-talk] Drain snakes?

From: David Scheidt <[email-masked]>
Date: Tue, 5 Mar 2013 12:21:49 -0600

On Sun, Mar 3, 2013 at 5:33 PM, Mark J Bradakis <[email-masked]> wrote:
> I was just at Home Depot and saw they had Ridgid Kwik-Spin drain snakes.
> Looks like it would be a fair bit easier to use than my current loose,
> floppy
> 15 foot snake that I often use for this one troublesome section of kitchen
> drain.  Anyone have any experience with such tools?
>

The ones you crank by hand are not any better than a floppy one,
except for storage.  They're hard to crank and feed at the same time.
Ones that attach to a drill are better, but I don't know what the
currently available ones are like.  Some of the ones I've seen looked
like plastic garbage.....

> mjb.
> _______________________________________________
>
> [email-masked]
> Donate: http://www.team.net/donate.html
> Suggested annual donation  $12.96
> Archive: http://www.team.net/archive
> Forums: http://www.team.net/forums
> Unsubscribe/Manage:
> http://autox.team.net/mailman/options/shop-talk/[email-masked]
>

-- 
David Scheidt
[email-masked]
_______________________________________________

[email-masked]
Archive: http://www.team.net/archive

---

From: "Karl Vacek" <[email-masked]>
Date: Tue, 5 Mar 2013 13:11:28 -0600

I bought a Horrible Freight drill-driven snake for a one-time job at one of
our daughters' house.  The concept is great, and actually, given that the
problems there were minor, the fact that it was a throwaway tool worked out
pretty well,  The HF snake has almost no temper, and soon was a kinked mess,
but it got the job done before it finally broke.  Decent steel would have
made all the difference in the world.  On the bright side I didn't have to
clean it when I was done - it went right into the garbage can, mess and all.

The concept of a snake in a holder that you drive with a drill is great for
a sink or tub drain.  You let out as much rod as you can deal with and when
that's all in the drain you feed a little more.  No long snake whipping
around and flinging water (etc.) all over the place.  For a 4" toilet or
floor drain you'd probably need something serious, though.

Karl

On Sun, Mar 3, 2013 at 5:33 PM, Mark J Bradakis <[email-masked]> wrote:
> 15 foot snake that I often use for this one troublesome section of 
> kitchen drain.  Anyone have any experience with such tools?

[email-masked]

---

From: Richard George <[email-masked]>
Date: Tue, 05 Mar 2013 11:13:29 -0800

I've had fair luck with the ridgid model you can optionally attach to a 
drill, though because of my house layout I need a longer one for many of 
the drains, which sucks because
they seem to charge like a wounded bull for anything longer - its 
unfortunate you can't seem to find those old hand cranked 50' snakes 
with the drum, etc. anymore :-/

Good Luck with your choice,

rkg
(Richard George)

[email-masked]